;;; inkpot-theme.el --- port of vim's inkpot theme 

;; Author: Sarah Iovan <sarah@hwaetageek.com>
;; URL: http://github.com/siovan/emacs24-inkpot.git
;; Package-Version: 20120505.708
;; Version: 0.1

; This file is based on Per Vognsen's port of the original vim theme. The original emacs color-theme version is found at http://www.emacswiki.org/emacs/ColorThemeInkpot. 

(deftheme inkpot)

(custom-theme-set-faces
  'inkpot 
        '(default ((t (:background "#1e1e27" :foreground "#cfbfad"))))
        '(font-lock-builtin-face ((t (:foreground "#cfbfad"))))
        '(region ((t (:background "#404040"))))
        '(highlight ((t (:background "#404040"))))
        '(fringe ((t (:background "#1e1e27" :foreground "#cfbfad"))))
	'(cursor ((t (:background "#708090" :foreground "#cfdfef"))))
        '(show-paren-match-face ((t (:background "#606060"))))
        '(isearch ((t (:bold t :foreground "#303030" :background "#cd8b60"))))
        '(modeline ((t (:bold t :foreground "#b9b9b9" :background "#3e3e5e"))))
        '(modeline-inactive ((t (:foreground "#708090" :background "#3e3e5e"))))
        '(modeline-buffer-id ((t (:bold t :foreground "#b9b9b9" :background "#3e3e5e"))))
        '(minibuffer-prompt ((t (:bold t :foreground "#708090"))))
        '(default-italic ((t (:italic t))))
        '(font-lock-builtin-face ((t (:foreground "#c080d0"))))
        '(font-lock-comment-face ((t (:foreground "#cd8b00")))) 
        '(font-lock-comment-delimiter-face ((t (:foreground "#cd8b00"))))
        ;'(font-lock-comment-face ((t (:foreground "#708090")))) ; alternate comment face
        '(font-lock-constant-face ((t (:foreground "808bed"))))
        '(font-lock-doc-face ((t (:foreground "#cd8b00"))))
        '(font-lock-function-name-face ((t (:foreground "#87cefa"))))
        '(font-lock-keyword-face ((t (:bold t :foreground "#c080d0"))))
        '(font-lock-preprocessor-face ((t (:foreground "#409090"))))
        '(font-lock-reference-face ((t (:bold t :foreground "#808bed"))))
        '(font-lock-string-face ((t (:foreground "#ffcd8b" :background "#404040"))))
        '(font-lock-type-face ((t (:foreground "#ff8bff"))))
        '(font-lock-variable-name-face ((t nil)))
        '(font-lock-warning-face ((t (:foreground "#ffffff" :background "#ff0000"))))
	'(w3m-anchor ((t (:foreground "#c080d0"))))
	'(info-xref ((t (:foreground "#409090")))) 
        '(info-menu-star ((t (:foreground "#409090")))) 
        '(message-cited-text ((t (:foreground "#cd8b00")))) 
        '(gnus-cite-face-1 ((t (:foreground "#708090"))))
        '(gnus-cite-face-2 ((t (:foreground "#df9f2d"))))
        '(gnus-cite-face-3 ((t (:foreground "#ad7fa8"))))
        '(gnus-cite-face-4 ((t (:foreground "#4090904"))))
        '(gnus-group-mail-1-empty-face ((t (:foreground "#c080d0"))))
        '(gnus-group-mail-1-face ((t (:bold t :foreground "#c080d0"))))
        '(gnus-group-mail-2-empty-face ((t (:foreground "#409090"))))
        '(gnus-group-mail-2-face ((t (:bold t :foreground "#409090"))))
        '(gnus-group-mail-3-empty-face ((t (:foreground "#506dbd"))))
        '(gnus-group-mail-3-face ((t (:bold t :foreground "#cd8b00"))))
        '(gnus-group-mail-3 ((t (:bold t :foreground "#cd8b00"))))
        '(gnus-group-mail-low-empty-face ((t (:foreground "#8b8bcd"))))
        '(gnus-group-mail-low-face ((t (:bold t :foreground "8b8bcd"))))
        '(gnus-group-news-1-empty-face ((t (:foreground "#c080d0"))))
        '(gnus-group-news-1-face ((t (:bold t :foreground "#c080d0"))))
        '(gnus-group-news-2-empty-face ((t (:foreground "#409090"))))
        '(gnus-group-news-2-face ((t (:bold t :foreground "#409090"))))
        '(gnus-group-news-3-empty-face ((t (:foreground "#506dbd"))))
        '(gnus-group-news-3-empty ((t (:foreground "#506dbd"))))
        '(gnus-group-news-3-face ((t (:bold t :foreground "#cd8b00"))))
        '(gnus-group-news-low-empty-face ((t (:foreground "8b8bcd"))))
        '(gnus-group-news-low-face ((t (:bold t :foreground "8b8bcd"))))
        '(gnus-header-name-face ((t (:bold t :foreground "#ab60ed"))))
        '(gnus-header-from ((t (:bold t :foreground "#cd8b00"))))
        '(gnus-header-subject ((t (:foreground "#808bed"))))
        '(gnus-header-content ((t (:italic t :foreground "#409090"))))
        '(gnus-header-newsgroups-face ((t (:italic t :bold t :foreground "#ff8bff"))))
        '(gnus-signature-face ((t (:italic t :foreground "#708090"))))
        '(gnus-summary-cancelled-face ((t (:foreground "#cd8b00"))))
        '(gnus-summary-cancelled ((t (:foreground "#cd8b00"))))
        '(gnus-summary-high-ancient-face ((t (:bold t :foreground "#ab60ed"))))
        '(gnus-summary-high-read-face ((t (:bold t :foreground "#c080d0"))))
        '(gnus-summary-high-ticked-face ((t (:bold t :foreground "#af4f4b"))))
        '(gnus-summary-high-unread-face ((t (:bold t :foreground "#ffcd8b"))))
        '(gnus-summary-low-ancient-face ((t (:italic t :foreground "#c080d0"))))
        '(gnus-summary-low-read-face ((t (:italic t :foreground "#ab60ed"))))
        '(gnus-summary-low-ticked-face ((t (:italic t :foreground "#af4f4b"))))
        '(gnus-summary-low-unread-face ((t (:italic t :foreground "#ffcd8b"))))
        '(gnus-summary-normal-ancient-face ((t (:foreground "#8b8bcd"))))
        '(gnus-summary-normal-read-face ((t (:foreground "#2e3436"))))
        '(gnus-summary-normal-read ((t (:foreground "#2e3436"))))
        '(gnus-summary-normal-ticked-face ((t (:foreground "#af4f4b"))))
        '(gnus-summary-normal-unread-face ((t (:foreground "#ffcd8b"))))
        '(gnus-summary-selected ((t (:background "#404040" :foreground "#ffcd8b"))))
        '(gnus-header-from ((t (:bold t :foreground "#cd8b00"))))
        '(message-header-name-face ((t (:foreground "#ab60ed"))))
        '(message-header-name ((t (:foreground "#ab60ed"))))
        '(message-header-newsgroups-face ((t (:italic t :bold t :foreground "#ff8bff"))))
        '(message-header-other-face ((t (:foreground "#409090"))))
        '(message-header-other ((t (:foreground "#409090"))))
        '(message-header-xheader-face ((t (:foreground "#409090"))))
        '(message-header-subject ((t (:foreground "#808bed"))))
        '(message-header-to ((t (:foreground "#cd8b00"))))
        '(message-header-cc ((t (:foreground "#409090"))))
        '(org-hide ((t (:foreground "#708090"))))
        '(org-level-1 ((t (:bold t :foreground "#8b8bcd" :height 1.0))))
        '(org-level-2 ((t (:bold nil :foreground "#409090" :height 1.0))))
        '(org-level-3 ((t (:bold t :foreground "#df9f2d" :height 1.0))))
        '(org-level-4 ((t (:bold nil :foreground "#af4f4b" :height 1.0))))
        '(org-date ((t (:underline t :foreground "#f0ad6d"))))
        '(org-footnote  ((t (:underline t :foreground "#ad600b"))))
        '(org-link ((t (:underline t :foreground "#708090" ))))
        '(org-special-keyword ((t (:foreground "#ad600b"))))
        '(org-verbatim ((t (:foreground "#eeeeec" :underline t :slant italic))))
        '(org-block ((t (:foreground "#708090"))))
        '(org-quote ((t (:inherit org-block :slant italic))))
        '(org-verse ((t (:inherit org-block :slant italic))))
        '(org-todo ((t (:bold t :foreground "#af4f4b"))))
        '(org-done ((t (:bold t :foreground "#409090"))))
        '(org-warning ((t (:underline t :foreground "#409090"))))
        '(org-agenda-structure ((t (:weight bold :foreground "#af4f4b"))))
        '(org-agenda-date ((t (:foreground "#409090"))))
        '(org-agenda-date-weekend ((t (:weight normal :foreground "8b8bcd"))))
        '(org-agenda-date-today ((t (:weight bold :foreground "#cd8b00"))))
	'(font-latex-bold-face ((t (:foreground "#cd8b00"))))
	'(font-latex-italic-face ((t (:foreground "#808bed" :italic t))))
	'(font-latex-string-face ((t (:foreground "#708090"))))
	'(font-latex-match-reference-keywords ((t (:foreground "#708090"))))
	'(font-latex-match-variable-keywords ((t (:foreground "#708090"))))
)
;;;###autoload
(when load-file-name
  (add-to-list 'custom-theme-load-path
               (file-name-as-directory (file-name-directory load-file-name))))

(provide-theme 'inkpot)

;;; inkpot-theme.el ends here
